AstroAsk Docs
API referenceWestern astrologyV1WesternAspects

POST /v1/western/aspects

The exact aspect grid between all 13 tropical bodies at the given moment: type, angle, orb, applying/separating.

POST
/v1/western/aspects

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/western/aspects" \  -H "Content-Type: application/json" \  -d '{    "date": "1990-01-15T10:30:00"  }'
{  "success": true,  "data": {    "aspects": [      {        "planet1": "Sun",        "planet2": "Venus",        "type": "Conjunction",        "angle": 6.077160406264511,        "orb": 6.077160406264511,        "applying": true,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Sun",        "planet2": "Saturn",        "type": "Conjunction",        "angle": 7.501154878848183,        "orb": 7.501154878848183,        "applying": false,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Mercury",        "type": "Trine",        "angle": 117.71595087750097,        "orb": 2.2840491224990274,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Mars",        "type": "Square",        "angle": 95.85623071934151,        "orb": 5.856230719341511,        "applying": false,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Saturn",        "type": "Trine",        "angle": 123.43487454473336,        "orb": 3.4348745447333613,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Uranus",        "type": "Trine",        "angle": 112.75112834951392,        "orb": 7.24887165048608,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Neptune",        "type": "Trine",        "angle": 118.70967908267903,        "orb": 1.2903209173209689,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Pluto",        "type": "Sextile",        "angle": 63.57696452764594,        "orb": 3.5769645276459414,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Moon",        "planet2": "Chiron",        "type": "Sextile",        "angle": 60.96604137233879,        "orb": 0.9660413723387933,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Mercury",        "planet2": "Saturn",        "type": "Conjunction",        "angle": 5.718923667232389,        "orb": 5.718923667232389,        "applying": false,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Mercury",        "planet2": "Uranus",        "type": "Conjunction",        "angle": 4.964822527987053,        "orb": 4.964822527987053,        "applying": true,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Mercury",        "planet2": "Neptune",        "type": "Conjunction",        "angle": 0.9937282051780585,        "orb": 0.9937282051780585,        "applying": false,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Mercury",        "planet2": "Pluto",        "type": "Sextile",        "angle": 54.13898634985503,        "orb": 5.861013650144969,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Mercury",        "planet2": "Chiron",        "type": "Opposition",        "angle": 178.68199224983977,        "orb": 1.318007750160234,        "applying": false,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Mars",        "planet2": "NorthNode",        "type": "Sextile",        "angle": 56.86943024674247,        "orb": 3.1305697532575323,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Mars",        "planet2": "SouthNode",        "type": "Trine",        "angle": 123.13056975325753,        "orb": 3.1305697532575323,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Jupiter",        "planet2": "Uranus",        "type": "Opposition",        "angle": 176.80398367287484,        "orb": 3.1960163271251645,        "applying": false,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Saturn",        "planet2": "Neptune",        "type": "Conjunction",        "angle": 4.72519546205433,        "orb": 4.72519546205433,        "applying": false,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Saturn",        "planet2": "Pluto",        "type": "Sextile",        "angle": 59.85791001708742,        "orb": 0.14208998291258013,        "applying": true,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Saturn",        "planet2": "Chiron",        "type": "Opposition",        "angle": 175.59908408292785,        "orb": 4.400915917072155,        "applying": false,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Uranus",        "planet2": "Neptune",        "type": "Conjunction",        "angle": 5.9585507331651115,        "orb": 5.9585507331651115,        "applying": true,        "nature": "neutral",        "isMajor": true      },      {        "planet1": "Uranus",        "planet2": "Chiron",        "type": "Opposition",        "angle": 173.7171697218527,        "orb": 6.282830278147287,        "applying": true,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Neptune",        "planet2": "Pluto",        "type": "Sextile",        "angle": 55.13271455503309,        "orb": 4.86728544496691,        "applying": true,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Neptune",        "planet2": "Chiron",        "type": "Opposition",        "angle": 179.67572045501782,        "orb": 0.3242795449821756,        "applying": true,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Pluto",        "planet2": "Chiron",        "type": "Trine",        "angle": 124.54300589998473,        "orb": 4.543005899984735,        "applying": false,        "nature": "harmonic",        "isMajor": true      },      {        "planet1": "Pluto",        "planet2": "NorthNode",        "type": "Square",        "angle": 89.14869643843804,        "orb": 0.8513035615619629,        "applying": true,        "nature": "tense",        "isMajor": true      },      {        "planet1": "Pluto",        "planet2": "SouthNode",        "type": "Square",        "angle": 90.85130356156196,        "orb": 0.8513035615619629,        "applying": true,        "nature": "tense",        "isMajor": true      },      {        "planet1": "NorthNode",        "planet2": "SouthNode",        "type": "Opposition",        "angle": 180,        "orb": 0,        "applying": false,        "nature": "tense",        "isMajor": true      }    ]  }}